BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.OrganizationEmployeeRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.OrganizationEmployeeRepository:

## Public Member Functions
| OrganizationEmployeeRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< IEnumerable< OrgEmployee > > | FindByIdAsync (Guid id)
Public Member Functions inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, OrgEmployee >
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Additional Inherited Members
Properties inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, OrgEmployee >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ OrganizationEmployeeRepository()

BMA.EHR.Application.Repositories.OrganizationEmployeeRepository.OrganizationEmployeeRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ FindByIdAsync()

async Task< IEnumerable< OrgEmployee > > BMA.EHR.Application.Repositories.OrganizationEmployeeRepository.FindByIdAsync | ( | Guid | id | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/OrganizationEmployeeRepository.cs